VTYSH(1)

NAME
vtysh - a integrated shell for Quagga routing software

SYNOPSIS
vtysh [ -b ]
vtysh [ -c command ]

DESCRIPTION
vtysh is a integrated shell for Quagga routing engine.

OPTIONS
Options available for the vtysh command:

-b, --boot
    Execute boot startup configuration. It makes sense only if integrated config file is in use (not default in Quagga). See Info file Quagga for more info.

-c, --command command
    Specify command to be executed under batch mode. It behaves like -c option in any other shell - command is executed and vtysh exits. It's useful for gathering info from Quagga routing software from shell scripts etc.

-e, --execute command
    Alias for -c. It's here only for compatibility with Zebra routing software and older Quagga versions. This will be removed in future.

-h, --help
    Display a usage message on standard output and exit.

ENVIRONMENT VARIABLES

VTYSH_PAGER
    This should be the name of the pager to use. Default is more.

FILES

/usr/local/etc/vtysh.conf
    The default location of the vtysh config file.

/usr/local/etc/Quagga.conf
    The default location of the integrated Quagga routing engine config file if integrated config file is in use (not default).

WARNING
This man page is intended to be a quick reference for command line options. The definitive document is the Info file Quagga.

SEE ALSO
bgpd(8), ripd(8), ripngd(8), ospfd(8), ospf6d(8), isisd(8), zebra(8)

BUGS
Running the command which outputs large amount of data through pager ("show ip ospf database", "show ip bgp" etc. in big networks) will cause daemon to be unresponsive until vtysh returns back to the prompt. vtysh eats bugs for breakfast. If you have food for the maintainers try http://bugzilla.quagga.net

AUTHORS
See http://www.zebra.org and http://www.quagga.org or the Info file for an accurate list of authors.